Name:          hfstools
Version:       332.25
Release:       1mamba
Summary:       Tools to initialize and repair HFS and HFS+ filesystems
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://opensource.apple.com
Source:        http://opensource.apple.com/tarballs/diskdev_cmds/diskdev_cmds-%{version}.tar.gz
Source1:       http://ftp.de.debian.org/debian/pool/main/h/hfsprogs/hfsprogs_%{version}-11.debian.tar.gz
Patch0:        http://www.ecl.udel.edu/%7Emcgee/diskdev_cmds/diskdev_cmds-332.14.patch.bz2
Patch1:        %{name}-332.14-fsck_checkfs.patch
Patch2:        %{name}-332.14-fix_link_with_gold.patch
Patch3:        hfstools-332.14-fix_link_with_openssl.patch
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libbsd-devel
BuildRequires: libopenssl-devel
## AUTOBUILDREQ-END
BuildRequires: libopenssl-devel >= 0.9.7h
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Tools to initialize and repair HFS and HFS+ filesystems.

%prep
%setup -q -n diskdev_cmds-%{version} -a1
cat debian/patches/*.patch|patch -p1

%build
%make -f Makefile.lnx

%install
[ "%{buildroot}" != / ] && rm -rf %{buildroot}
install -D -m 0755 newfs_hfs.tproj/newfs_hfs %{buildroot}/sbin/mkfs.hfsplus
install -D -m 0644 newfs_hfs.tproj/newfs_hfs.8 %{buildroot}%{_mandir}/man8/mkfs.hfsplus.8
install -D -m 0755 fsck_hfs.tproj/fsck_hfs %{buildroot}/sbin/fsck.hfsplus
install -D -m 0644 fsck_hfs.tproj/fsck_hfs.8 %{buildroot}%{_mandir}/man8/fsck.hfsplus.8
ln -s mkfs.hfsplus %{buildroot}/sbin/mkfs.hfs
ln -s fsck.hfsplus %{buildroot}/sbin/fsck.hfs

%clean
[ "%{buildroot}" != / ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
/sbin/mkfs.hfsplus
/sbin/fsck.hfsplus
/sbin/mkfs.hfs
/sbin/fsck.hfs
%{_mandir}/man8/mkfs.hfsplus.8.gz
%{_mandir}/man8/fsck.hfsplus.8.gz

%changelog
* Sun Jun 26 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 332.25-1mamba
- update to 332.25

* Sat Feb 25 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 332.14-5mamba
- added a patch to fix build using binutils gold linker

* Thu Apr 07 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 332.14-4mamba
- fsck.hfs: added patch to support -a switch for compatibility with linux fsck

* Thu Nov 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 332.14-3mamba
- rebuilt with openssl 1.0.0

* Fri Oct 16 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 332.14-2mamba
- rebuilt with openssl 0.9.8

* Wed May 24 2006 Silvan Calarco <silvan.calarco@qilinux.it> 332.14-1qilnx
- package created by autospec
